package com.xxxxxxx.drvpp.fw.common.util;

import java.util.List;
import java.util.Map;

public class SettingImpl implements Setting {
	private Map<String, Object> map = null;
	
	public SettingImpl(Map<String, Object> map) {
		this.map = map;
	}
	
	public String get(String key){
		return (String)map.get(key);
	}

	public int getInt(String key){
		String value = get(key);
		return Integer.parseInt(value);
	}

	public List<?> getList(String key){
		List<?> list = (List<?>)map.get(key);
		return list;
	}

	public Object getObject(String key){
		return map.get(key);
	}
}
